Error 500

graph

#1

Continuing the discussion from Error 500 Internal Server Error:
I am getting 500 error after installing Graph into existing ELK stack with data. I keep getting:
Debug: internal, implementation, error
TypeError: Uncaught error: Cannot read property 'debug' of undefined
at Object.Transport.request (/opt/kibana/node_modules/elasticsearch/src/lib/transport.js:132:11)
at /opt/kibana/src/plugins/elasticsearch/lib/call_with_request.js:17:16
at graphExplore (/opt/kibana/installedPlugins/graph/server/routes/graphExplore.js:8:12)
at handler (/opt/kibana/installedPlugins/graph/server/routes/graphExplore.js:19:7)
at Object.internals.handler (/opt/kibana/node_modules/hapi/lib/handler.js:93:36)
at /opt/kibana/node_modules/hapi/lib/handler.js:28:23
at [object Object].internals.Protect.run (/opt/kibana/node_modules/hapi/lib/protect.js:56:5)
at exports.execute (/opt/kibana/node_modules/hapi/lib/handler.js:22:22)
at /opt/kibana/node_modules/hapi/lib/request.js:370:13
at iterate (/opt/kibana/node_modules/hapi/node_modules/items/lib/index.js:35:13)
at done (/opt/kibana/node_modules/hapi/node_modules/items/lib/index.js:27:25)
at /opt/kibana/node_modules/hapi/node_modules/hoek/lib/index.js:841:22
at nextTickCallbackWith0Args (node.js:415:9)
at process._tickDomainCallback (node.js:385:13)


(Mark Harwood) #2

Can you supply the version numbers for Kibana, elasticsearch and the plugins?


#3

Elasticsearch
Version: 2.3.1, Build: bd98092/2016-04-04T12:25:05Z, JVM: 1.8.0_77

Kibana
4.4.2


(Mark Harwood) #4

You'll need Kibana 4.5

Going forward this version management gets easier as Kibana, elasticsearch and x-pack (the plugins) all get released with the same version number. Hence the leap to elasticsearch version 5.


(system) #5